Subject: Re: [PATCH] Add userdiff patterns for Ada

From: Adrian Johnson <[email-masked]>
Date: Sun, 16 Sep 2012 16:49:14 +0930

On 16/09/12 15:37, Junio C Hamano wrote:
> Adrian Johnson <[email-masked]> writes:
> 
>> Add Ada xfuncname and wordRegex patterns to the list of builtin
>> patterns.
>>
>> Signed-off-by: Adrian Johnson <[email-masked]>
>> ---
> 
> Interesting.  I do not read Ada, but in this "expect" file,...
> 
>> diff --git a/t/t4034/ada/expect b/t/t4034/ada/expect
>> new file mode 100644
>> index 0000000..be2376e
>> --- /dev/null
>> +++ b/t/t4034/ada/expect
>> @@ -0,0 +1,27 @@
>> +<BOLD>diff --git a/pre b/post<RESET>
>> +<BOLD>index d96fdd1..df21bb0 100644<RESET>
>> +<BOLD>--- a/pre<RESET>
>> +<BOLD>+++ b/post<RESET>
>> +<CYAN>@@ -1,13 +1,13 @@<RESET>
>> +Ada.Text_IO.Put_Line("Hello World<RED>!<RESET><GREEN>?<RESET>");
>> +1 1e<RED>-<RESET>10 16#FE12#E2 3.141_592 '<RED>x<RESET><GREEN>y<RESET>'
>> +<RED>a<RESET><GREEN>x<RESET>+<RED>b a<RESET><GREEN>y x<RESET>-<RED>b<RESET>
>> +<RED>a<RESET><GREEN>y<RESET>
>> +<GREEN>x<RESET>*<RED>b a<RESET><GREEN>y x<RESET>/<RED>b<RESET>
>> +<RED>a<RESET><GREEN>y<RESET>
>> +<GREEN>x<RESET>**<RED>b<RESET>
>> +<RED>a<RESET><GREEN>y<RESET>
>> +<GREEN>x<RESET>(<RED>b<RESET><GREEN>y<RESET>)
>> +<RED>a<RESET><GREEN>x<RESET>:=<RED>b<RESET>
>> +<RED>a<RESET><GREEN>y<RESET>
>> +<GREEN>x<RESET>=<RED>b a<RESET><GREEN>y x<RESET>/= <RED>b<RESET>
>> +<RED>a<RESET><GREEN>y<RESET>
>> +<GREEN>x<RESET><<RED>b a<RESET><GREEN>y x<RESET><=<RED>b a<RESET><GREEN>y x<RESET>><RED>b a<RESET><GREEN>y x<RESET>>=<RED>b<RESET>
>> +<RED>a<RESET><GREEN>y<RESET>
>> +<GREEN>x<RESET>,<RED>b<RESET>
>> +<RED>a<RESET><GREEN>y<RESET>
>> +<GREEN>x<RESET>=><RED>b<RESET>
>> +<RED>a<RESET><GREEN>y<RESET>
>> +<GREEN>x<RESET>..<RED>b<RESET>
>> +<RED>a<RESET><GREEN>y<RESET>
>> +<GREEN>x<RESET><><RED>b<RESET><GREEN>y<RESET>
> 
> I do not seem to find anything interesting after @@, which means
> that xfuncname is not tested at all even though the log message
> claims the patch adds some.

I probably misunderstood how the tests work. I thought t4034 tested
wordRegex while t4018 is for xfuncname. I based the Ada tests on the
Pascal tests but changed the operators to Ada operators. I'm not really
sure what else the test needs.

> 
> Puzzled...
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>